Iam API Reference
User, role, team management service
Account Passwords
Manage account passwords, including requesting password resets,
resetting passwords using tokens, and changing passwords for authenticated users.
post /account/passwords/request_reset - request_password_reset
Description
Request a password reset for an account.
This endpoint will send an email with a reset token to the provided email address
if an account with that email exists.
Request Body
Response
No content
post /account/passwords/reset - reset_password
Description
Reset a password using a reset token.
This endpoint will change the password for the account associated with the provided
reset token if the token is valid and not expired.
Password requirements:
- Minimum 8 characters
- At least one uppercase letter
- At least one lowercase letter
- At least one digit
- At least one special character
Request Body
Response
No content
get /account/passwords/token_valid - token_valid
Description
Check if a password reset token is valid.
This endpoint will verify if the provided token exists and has not expired.
It returns a boolean indicating whether the token is valid.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| token | query | string | Required | - |
Response
Successful response
post /account/passwords/change - change_password
Description
Change the password for the authenticated account.
This endpoint allows an authenticated user to change their password by providing
the current password and a new password.
Password requirements:
- Minimum 8 characters
- At least one uppercase letter
- At least one lowercase letter
- At least one digit
- At least one special character
Request Body
Response
No content
Account Sessions
Manage account sessions for user authentication,
including listing active sessions and deleting sessions.
get /account_sessions - index
Description
Return a paginated list of iam:account_sessions
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| page[number] | query | integer | Optional | The page number, default to 1 |
| page[size] | query | integer | Optional | The number of items per page, default to 1000 |
| sort | query | string | Optional | The sort order, comma separated list of fields. See sorting section for more details |
| count | query | boolean | Optional | Set to true to return the total number of items in the collection |
| filter[id] | query | any | Optional | - |
| filter[account_id] | query | any | Optional | - |
| filter[refresh_seq] | query | any | Optional | - |
| filter[nonce] | query | any | Optional | - |
| filter[user_agent] | query | any | Optional | - |
| filter[ip] | query | any | Optional | - |
| filter[account_id] | query | any | Optional | - |
| included | query | array | Optional | The related resources to include in the response. Allowed resources are:
|
| fields | query | string | Optional | The fields to include in the response. |
Response
Successful response
delete /account_sessions/{resource_id} - delete
Description
Delete the iam:account_sessions
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
Response
No content
Accounts
Manage user accounts within the system, including creation,
updating, retrieval, deletion, and handling of invitations.
get /accounts - index
Description
Return a paginated list of iam:accounts
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| page[number] | query | integer | Optional | The page number, default to 1 |
| page[size] | query | integer | Optional | The number of items per page, default to 1000 |
| sort | query | string | Optional | The sort order, comma separated list of fields. See sorting section for more details |
| count | query | boolean | Optional | Set to true to return the total number of items in the collection |
| filter[id] | query | any | Optional | - |
| filter[name] | query | any | Optional | - |
| filter[email] | query | any | Optional | - |
| filter[password_reset_token] | query | any | Optional | - |
| filter[password_reset_token_expires_at] | query | any | Optional | - |
| filter[sso_channel] | query | any | Optional | - |
| filter[enabled] | query | any | Optional | - |
| filter[role_name] | query | any | Optional | - |
| filter[role_scope] | query | any | Optional | - |
| filter[picture_url] | query | any | Optional | - |
| filter[joined_at] | query | any | Optional | - |
| filter[invitation_expired_at] | query | any | Optional | - |
| filter[created_at] | query | any | Optional | - |
| filter[updated_at] | query | any | Optional | - |
| filter[name__match] | query | any | Optional | - |
| filter[email] | query | any | Optional | - |
| filter[email__match] | query | any | Optional | - |
| filter[enabled] | query | any | Optional | - |
| filter[role_name__in] | query | any | Optional | - |
| filter[role_name__nin] | query | any | Optional | - |
| filter[joined_at__gte] | query | any | Optional | - |
| filter[joined_at__lte] | query | any | Optional | - |
| filter[created_at__gte] | query | any | Optional | - |
| filter[created_at__lte] | query | any | Optional | - |
| filter[with_role_scope] | query | any | Optional | - |
| fields | query | string | Optional | The fields to include in the response. |
Response
Successful response
post /accounts - create
Description
Create a new iam:accounts
Request Body
Response
Successful response
get /accounts/{resource_id} - show
Description
Show a specific iam:accounts
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
| included | query | array | Optional | - |
| fields | query | string | Optional | - |
Response
Successful response
patch /accounts/{resource_id} - update
Description
Update a iam:accounts
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
Request Body
Response
Successful response
delete /accounts/{resource_id} - delete
Description
Delete the iam:accounts
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
Response
No content
patch /accounts/{token}/join - join
Description
Mark account as joined when user accepts invitation
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| token | path | string | Required | - |
Request Body
Response
No content
post /accounts/{id}/resend_invitation - resend_invitation
Description
Resend account invitation email
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | string | Required | - |
Request Body
Response
No content
Organizations
Manage organizations within the system, including creation,
updating, retrieval, and deletion.
get /organizations - index
Description
Return a paginated list of iam:organizations
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| page[number] | query | integer | Optional | The page number, default to 1 |
| page[size] | query | integer | Optional | The number of items per page, default to 1000 |
| sort | query | string | Optional | The sort order, comma separated list of fields. See sorting section for more details |
| count | query | boolean | Optional | Set to true to return the total number of items in the collection |
| filter[id] | query | any | Optional | - |
| filter[name] | query | any | Optional | - |
| filter[created_at] | query | any | Optional | - |
| filter[updated_at] | query | any | Optional | - |
| filter[name__match] | query | any | Optional | - |
| filter[created_at__gte] | query | any | Optional | - |
| filter[created_at__lte] | query | any | Optional | - |
| fields | query | string | Optional | The fields to include in the response. |
Response
Successful response
post /organizations - create
Description
Create a new iam:organizations
Request Body
Response
Successful response
get /organizations/{resource_id} - show
Description
Show a specific iam:organizations
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
| included | query | array | Optional | - |
| fields | query | string | Optional | - |
Response
Successful response
patch /organizations/{resource_id} - update
Description
Update a iam:organizations
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
Request Body
Response
Successful response
delete /organizations/{resource_id} - delete
Description
Delete the iam:organizations
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
Response
No content